#if !defined disp_h
#define      disp_h

//#include "main.h"
#include "vector.h"
#include "place.h"
#include "vis.h"

//---------------------------------------------------------
class Physics;
class Vector;

class BaseObject{
public:		BaseObject(){};
	virtual ~BaseObject(){};

	virtual void draw(float size){};
	virtual int collide(Place *place, Physics *physics){return 0;};
};

//-----------------------------------------------------------------
class BaseObject;

class DispObj{ // object package w/ obj ptr, attr & vis
public: DispObj();
	virtual ~DispObj();

	static float polyo;
	BaseObject  *object;
	Vis   vis;
	Place place;

	virtual void draw(float size);
};

//-------------------------------------------------------------------

class DispMan{
public: DispMan();
	virtual ~DispMan();

	int nobjects, selObject;
	DispObj dos[30];
	float size[30];

	int add(BaseObject *base);
	void draw(int n);
	void reset(void);
	void unset(void);
	void update(void);
};

//-------------------------------------------------------------------

#endif

